.virtual-tour-embed-eluria {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .virtual-tour-embed-eluria {
        padding-top: unset;
        padding-bottom: unset;
    }
}

.virtual-tour-embed-eluria__wrapper {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

/* For desktop up */
@media (min-width: 1200px) {
    .virtual-tour-embed-eluria__wrapper {
        justify-content: space-between;
        align-items: flex-start;
    }
}

.virtual-tour-embed-eluria__header {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    padding-bottom: 1rem;
}

.virtual-tour-embed-eluria__header h2 {
    font-size: 1.7em;
    font-family: var(--eluria-header-font-family);
    text-transform: uppercase;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .virtual-tour-embed-eluria__header {
        width: 28%;
        height: 80dvh;
        order: 2;
        align-items: flex-start;
        padding: 2rem;
    }

    .virtual-tour-embed-eluria__header h2 {
        font-size: 7ch;
    }
}

.virtual-tour-embed-eluria__header article {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.virtual-tour-embed-eluria__header p {
    font-size: 1.4em;
    padding-top: 0.50rem;
    color: #595959;
}

.virtual-tour-embed-eluria__header figure svg {
    width: 51px;
    height: 52px;
}

.virtual-tour-embed-eluria__header .button--eluria {
    border-radius: 0;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .virtual-tour-embed-eluria__header article {
        align-items: flex-start;
    }

    .virtual-tour-embed-eluria__header figure svg {
        width: 71px;
        height: 72px;
    }

    .virtual-tour-embed-eluria__header p {
        font-size: 1.7em;
    }

    .virtual-tour-embed-eluria__header button.button {
        justify-self: flex-end;
    }
}

.virtual-tour-embed-eluria__footer {
    width: 100%;
    z-index: 1;
    position: relative;
    aspect-ratio: 16 / 9;
    padding-bottom: 1rem;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .virtual-tour-embed-eluria__footer {
        width: 60%;
        order: 1;
        padding-bottom: unset;
    }
}

.virtual-tour-embed-eluria__footer figure {
    aspect-ratio: 3 / 2;
}

.virtual-tour-embed-eluria__footer figure img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.virtual-tour-embed-eluria__pattern {
    display: none;
    order: 3;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .virtual-tour-embed-eluria__pattern {
        width: 12%;
        display: block;
    }
}

.virtual-tour-embed-eluria__pattern figure img {
    width: 100dvw;
    height: 80dvh;
    object-fit: cover;
    object-position: left;
}

/* VIRTUAL TOUR EMBED OVERLAY */
.virtual-tour-embed-eluria__overlay {
    width: 100%;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    inset: 0;
    transition: all 0.5s ease-in;
}

.virtual-tour-embed-eluria__overlay article {
    display: grid;
    grid-template-columns: auto;
    justify-items: center;
    align-items: center;
    gap: 0.50rem;
}

.virtual-tour-embed-eluria__overlay article h3,
.virtual-tour-embed-eluria__overlay article p {
    color: var(--white);
    text-shadow: 0 4px 10px rgba(0, 0, 0, 0.25);
}

.virtual-tour-embed-eluria__overlay article h3 {
    font-size: 1.4em;
}

/* For tablet landscape up */
@media (min-width: 900px) {
    .virtual-tour-embed-eluria__overlay article h3 {
        font-size: 1.7em;
    }
  }

.virtual-tour-embed-eluria__overlay article p {
    width: 65%;
    font-size: 1.1em;
    text-align: center;
    line-height: 1.5;
    padding-top: 0.50rem;
}

.hidden {
    display: none;
}